Bug 695819 - Review Request: php-pecl-rrd - PHP Bindings for rrdtool
Summary: Review Request: php-pecl-rrd - PHP Bindings for rrdtool
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jaroslav Škarvada
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-04-12 18:43 UTC by Remi Collet
Modified: 2011-06-02 19:23 UTC (History)
3 users (show)

Fixed In Version: php-pecl-rrd-1.0.3-1.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-05-25 03:24:30 UTC
jskarvad: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description Remi Collet 2011-04-12 18:43:50 UTC
Spec URL: https://github.com/remicollet/remirepo/raw/master/php-pecl-rrd/php-pecl-rrd.spec
SRPM URL: http://remi.fedorapeople.org/php-pecl-rrd-1.0.0-1.remi.src.rpm
Description: 
Procedural and simple OO wrapper for rrdtool - data logging and graphing
system for time series data.



koji build --scratch dist-rawhide :
http://koji.fedoraproject.org/koji/taskinfo?taskID=2996366


For now, this package is not a drop-in replacement of rrdtool-php, but some functions have the same name, so I add a "Conflicts" directive.

If rrdtool maintainers want to EOL rrdtool-php in a future fedora release, I will change this to Obsoletes/Provides.

Comment 1 Remi Collet 2011-04-12 18:48:00 UTC
Adding rrdtool-owner to CC: (as discussed with Jaroslav Skarvada)

Comment 2 Remi Collet 2011-04-16 15:53:41 UTC
Update to 1.0.1 (in fact, no change in code, just to have latest version)

https://github.com/remicollet/remirepo/commit/bcff63fc76cf91aed32d0819bb3986d2e071034f

SRPM URL: http://rpms.famillecollet.com/SRPMS/php-pecl-rrd-1.0.1-1.remi.src.rpm

Comment 3 Remi Collet 2011-04-20 10:33:58 UTC
Update to 1.0.2 (in fact, no change in code, just to have latest version)

https://github.com/remicollet/remirepo/commit/322b10d5c7e833506c14fcbdb0c9ab31bd0012f0

SRPM URL: http://rpms.famillecollet.com/SRPMS/php-pecl-rrd-1.0.2-1.remi.src.rpm

Comment 4 Remi Collet 2011-04-29 16:32:41 UTC
Update to 1.0.2 (in fact, no change in code, just to have latest version)

https://github.com/remicollet/remirepo/commit/4d6e24cdcba0b2fd2389e64a8bd88d926a9d8f10

SRPM: http://rpms.famillecollet.com/SRPMS/php-pecl-rrd-1.0.3-1.remi.src.rpm

Comment 5 Jaroslav Škarvada 2011-05-12 15:32:15 UTC
Looks good.

MUST items:
[YES] rpmplint is silent (not counting false positives about spelling)
[YES] Package meets naming guidelines.
[YES] Package meets packaging guidelines.
[YES] Spec file matches base package name.
[YES] License file is present, matching with spec file.
[YES] Licensing Guidelines are met.
[YES] Spec file is legible and in American English.
[YES] Sources match upstream.
[YES] Package builds OK.
[YES] BuildRequires is correct.
[YES] Package doesn't bundle copies of system libraries.
[YES] Package has no duplicity in %files.
[YES] Permission on files are set properly.
[YES] %doc doesn't affect runtime.
[YES] Spec file has consistant macro usage.
[YES] Package is code or permissable content.
[YES] No .la libtool archives.
[YES] Package doesn't own files/directories that other packages own.
[YES] Spec file is valid UTF-8.

SHOULD items:
[YES] Package builds in mock.
[YES] Package should build on all supported architectures.
[YES] Package passed simple functional test.
[YES] Used scriptlets are sane.

Comment 6 Remi Collet 2011-05-12 16:09:30 UTC
Thanks for the review


New Package SCM Request
=======================
Package Name: php-pecl-rrd
Short Description: PHP Bindings for rrdtool
Owners: remi
Branches: f14 f15 el6
InitialCC:

Comment 7 Jason Tibbitts 2011-05-12 16:38:29 UTC
Git done (by process-git-requests).

Comment 8 Fedora Update System 2011-05-14 06:24:49 UTC
php-pecl-rrd-1.0.3-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/php-pecl-rrd-1.0.3-1.fc15

Comment 9 Fedora Update System 2011-05-14 06:25:14 UTC
php-pecl-rrd-1.0.3-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/php-pecl-rrd-1.0.3-1.fc14

Comment 10 Fedora Update System 2011-05-14 06:25:39 UTC
php-pecl-rrd-1.0.3-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/php-pecl-rrd-1.0.3-1.el6

Comment 11 Fedora Update System 2011-05-16 21:15:57 UTC
php-pecl-rrd-1.0.3-1.el6 has been pushed to the Fedora EPEL 6 testing repository.

Comment 12 Fedora Update System 2011-05-25 03:24:25 UTC
php-pecl-rrd-1.0.3-1.fc15 has been pushed to the Fedora 15 stable repository.

Comment 13 Fedora Update System 2011-05-28 23:56:12 UTC
php-pecl-rrd-1.0.3-1.fc14 has been pushed to the Fedora 14 stable repository.

Comment 14 Fedora Update System 2011-06-02 19:23:23 UTC
php-pecl-rrd-1.0.3-1.el6 has been pushed to the Fedora EPEL 6 stable repository.


Note You need to log in before you can comment on or make changes to this bug.